;;; Stop line truncation in horizontal emacs windows
(setf truncate-partial-width-windows nil)

;;; Set up cvs properly
; (autoload 'cvs-update "pcl-cvs" nil t)
; (setq cvs-program "/usr/bin/cvs")

;;; Can the Damn goal column
(define-key ctl-x-map "\C-n" nil)
(setq goal-column nil)    ;if goal column get screwed up reeval this.

;;; Printer stuff
; (setq lpr-switches '("-Pfec338"))
; (setq lpr-command "lpr")
; (setq lpr-headers-switches nil)

;;;Makes buffer menu (C-X b) edit files like Dired
(define-key Buffer-menu-mode-map "e" 'Buffer-menu-select)

;
; gnus automatically looks for the file .newsrc-<news server>
;
; (setf gnus-startup-file "~/.newsrc-gnus")

; Change C mode indentation to 4 spaces (0 for function arguments)
(setq-default c-basic-offset 4)

(setq shell-file-name "c:/cygwin/bin/bash")
(setenv "SHELL" shell-file-name) 
(setq explicit-shell-file-name shell-file-name) 
; (setq explicit-sh-args '("-login" "-i")) 
; (setq shell-command-switch "-c") 
; (setq win32-quote-process-args t)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;;              C# Mode support
;;;
(autoload 'csharp-mode "cc-mode")

(c-add-style "myC#Style"
  '("C#"
  (c-basic-offset . 4)
  (c-comment-only-line-offset . (0 . 0))
  (c-offsets-alist . (
    (c                     . c-lineup-C-comments)
    (inclass		   . 4)
    (namespace-open	   . +)
    (namespace-close	   . +)
    (innamespace	   . 4)
    (class-open		   . +)
    (class-close	   . 4)
    (inclass		   . 4)
    (defun-open		   . +)
    (defun-block-intro     . 4)
    (inline-open	   . ++)
    (statement-block-intro . 4)
    (brace-list-intro      . +)
    ))
  ))

(defun my-csharp-mode-hook ()
  (cond (window-system
	 (turn-on-font-lock)
	 (c-set-style "myC#Style")
	 )))
(add-hook 'csharp-mode-hook 'my-csharp-mode-hook)
(setq auto-mode-alist
      (append '(
		("\\.cs$" . csharp-mode)
		) auto-mode-alist ))
